Subject: sppi EXTENDS and AUGMENTS clause

From: "Andreas Polyrakis" <[email-masked]>
Date: Fri, 16 Feb 2001 19:28:40 -0500

Hello,

I am trying to define a small PIB, but I have some problems with the
EXTENDS and AUGMENTS clauses... 
Unfortunatelly my experience with SPPI and SMI are very limited...

Could someone please explain how these two clauses can be used?
Suppose that I have a table A with columns (attributes) "a1" and "a2".
What I want to do is to have two more tables, B and C, wirh attributres 
"b1,b2" and "c1,c2" respectively, so that every row in A will be 
assosiated with either a row in B or in C. In this case, do B,C EXTEND A 
or AUGMENT it? Also, since B,C have no index (hence no PRID, right?),
how can I install/update a row in B or C? 
Finally, can more than one rows in B be assosiated the same row in A?

I hope my questions were clear... 

Thanks in advance,
Andreas